# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest

class InnerSetAppFcRouteRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Workbench-inner', '2021-01-21', 'InnerSetAppFcRoute')
		self.set_method('POST')

	def get_AppId(self):
		return self.get_query_params().get('AppId')

	def set_AppId(self,AppId):
		self.add_query_param('AppId',AppId)

	def get_CurrentOrgId(self):
		return self.get_query_params().get('CurrentOrgId')

	def set_CurrentOrgId(self,CurrentOrgId):
		self.add_query_param('CurrentOrgId',CurrentOrgId)

	def get_UserId(self):
		return self.get_query_params().get('UserId')

	def set_UserId(self,UserId):
		self.add_query_param('UserId',UserId)

	def get_RouteLists(self):
		return self.get_query_params().get('RouteList')

	def set_RouteLists(self, RouteLists):
		for depth1 in range(len(RouteLists)):
			if RouteLists[depth1].get('Handler') is not None:
				self.add_query_param('RouteList.' + str(depth1 + 1) + '.Handler', RouteLists[depth1].get('Handler'))
			if RouteLists[depth1].get('HttpMethod') is not None:
				self.add_query_param('RouteList.' + str(depth1 + 1) + '.HttpMethod', RouteLists[depth1].get('HttpMethod'))
			if RouteLists[depth1].get('Uri') is not None:
				self.add_query_param('RouteList.' + str(depth1 + 1) + '.Uri', RouteLists[depth1].get('Uri'))